Altibase.jdbc.driver

## Class AltibaseInterval

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseInterval

    public class AltibaseInterval
    extends java.lang.Object

Altibae INTERVAL은 second과 nanos로 이루어진 시간차 값으로, DATE간 차이를 구했을 때 그 결과로 얻는다.

### Field Summary

Fields
`static int` `BYTES_SIZE`
`static AltibaseInterval` `NULL`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseInterval(long aSecond, long aNanos)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object aObj)`
`long` `getNanos()` nanos 값을 얻는다.
`long` `getSecond()` second 값을 얻는다.
`int` `hashCode()`
`boolean` `isNull()`
`byte[]` `toBytes()`
`static byte[]` `toBytes(long aSecond, long aNanos)`
`double` `toNumberOfDays()` 날짜로 계산했을 때 얼마 차이인지를 구한다.
`static double` `toNumberOfDays(long aSecond, long aNanos)` 날짜로 계산했을 때 얼마 차이인지를 구한다.
`java.lang.String` `toString()`
`static java.lang.String` `toString(AltibaseInterval aInterval)` Interval을 "dd hh:mm:ss.ff9" 형식의 문자열로 변환한다.
`static java.lang.String` `toString(long aSecond, long aNanos)` second, nanosecond를 "dd hh:mm:ss.ff9" 형식의 문자열로 변환한다.
`static AltibaseInterval` `valueOf(byte[] aBytes)`
`static AltibaseInterval` `valueOf(java.lang.String aStr)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BYTES_SIZE

    public static final int BYTES_SIZE

See Also:
  Constant Field Values

#### NULL

    public static final AltibaseInterval NULL

### Constructor Detail

#### AltibaseInterval

    public AltibaseInterval(long aSecond,
                            long aNanos)

### Method Detail

#### isNull

    public boolean isNull()

#### getSecond

    public long getSecond()

second 값을 얻는다.

Returns:
  second 값

#### getNanos

    public long getNanos()

nanos 값을 얻는다.

Returns:
  nanos 값을 얻는다.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object aObj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public static java.lang.String toString(AltibaseInterval aInterval)

Interval을 "dd hh:mm:ss.ff9" 형식의 문자열로 변환한다. 여기서 ff9는 nanosecond 단위이다.

Parameters:
  `aInterval` - Interval 객체
Returns:
  "dd hh:mm:ss.ff9" 포맷으로 변환한 문자열

#### toString

    public static java.lang.String toString(long aSecond,
                                            long aNanos)

second, nanosecond를 "dd hh:mm:ss.ff9" 형식의 문자열로 변환한다. 여기서 ff9는 nanosecond 단위이다.

Parameters:
  `aSecond` - second
  `aNanos` - nanosecond
Returns:
  "dd hh:mm:ss.ff9" 포맷으로 변환한 문자열

#### valueOf

    public static AltibaseInterval valueOf(java.lang.String aStr)

#### toNumberOfDays

    public double toNumberOfDays()

날짜로 계산했을 때 얼마 차이인지를 구한다. 하루가 안되는 시간은 소수점으로 표현한다.

Returns:
  날짜 단위로 본 차이값

#### toNumberOfDays

    public static double toNumberOfDays(long aSecond,
                                        long aNanos)

날짜로 계산했을 때 얼마 차이인지를 구한다. 하루가 안되는 시간은 소수점으로 표현한다.

Parameters:
  `aSecond` - second 값
  `aNanos` - nanos 값
Returns:
  날짜 단위로 본 차이값

#### toBytes

    public byte[] toBytes()

#### toBytes

    public static byte[] toBytes(long aSecond,
                                 long aNanos)

#### valueOf

    public static AltibaseInterval valueOf(byte[] aBytes)